| Version: 3.2.5

Public Member Functions | List of all members
wxDataViewModelNotifier Class Referenceabstract
Class List by Category » wxDataViewCtrl Related Classes

`#include <wx/dataview.h>`

## Detailed Description

A wxDataViewModelNotifier instance is owned by a wxDataViewModel and mirrors its notification interface.

See the documentation of that class for further information.

##

Library: wxCore
Category: wxDataViewCtrl Related Classes

## Public Member Functions

| wxDataViewModelNotifier ()
| Constructor. More...
virtual | ~wxDataViewModelNotifier ()
| Destructor. More...
virtual bool | Cleared ()=0
| Called by owning model. More...
wxDataViewModel * | GetOwner () const
| Get owning wxDataViewModel. More...
virtual bool | ItemAdded (const wxDataViewItem &parent, const wxDataViewItem &item)=0
| Called by owning model. More...
virtual bool | ItemChanged (const wxDataViewItem &item)=0
| Called by owning model. More...
virtual bool | ItemDeleted (const wxDataViewItem &parent, const wxDataViewItem &item)=0
| Called by owning model. More...
virtual bool | ItemsAdded (const wxDataViewItem &parent, const wxDataViewItemArray &items)
| Called by owning model. More...
virtual bool | ItemsChanged (const wxDataViewItemArray &items)
| Called by owning model. More...
virtual bool | ItemsDeleted (const wxDataViewItem &parent, const wxDataViewItemArray &items)
| Called by owning model. More...
virtual void | Resort ()=0
| Called by owning model. More...
void | SetOwner (wxDataViewModel *owner)
| Set owner of this notifier. More...
virtual bool | ValueChanged (const wxDataViewItem &item, unsigned int col)=0
| Called by owning model. More...

## Constructor & Destructor Documentation

## ◆ wxDataViewModelNotifier()

wxDataViewModelNotifier::wxDataViewModelNotifier | ( |  | ) |

Constructor.

## ◆ ~wxDataViewModelNotifier()

virtual wxDataViewModelNotifier::~wxDataViewModelNotifier | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## ◆ Cleared()

virtual bool wxDataViewModelNotifier::Cleared | ( |  | ) |

pure virtual

Called by owning model.

## ◆ GetOwner()

wxDataViewModel* wxDataViewModelNotifier::GetOwner | ( |  | ) | const

Get owning wxDataViewModel.

## ◆ ItemAdded()

virtual bool wxDataViewModelNotifier::ItemAdded | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItem & | item
| ) |  |

pure virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ ItemChanged()

virtual bool wxDataViewModelNotifier::ItemChanged | ( | const wxDataViewItem & | item | ) |

pure virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ ItemDeleted()

virtual bool wxDataViewModelNotifier::ItemDeleted | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItem & | item
| ) |  |

pure virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ ItemsAdded()

virtual bool wxDataViewModelNotifier::ItemsAdded | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItemArray & | items
| ) |  |

virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ ItemsChanged()

virtual bool wxDataViewModelNotifier::ItemsChanged | ( | const wxDataViewItemArray & | items | ) |

virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ ItemsDeleted()

virtual bool wxDataViewModelNotifier::ItemsDeleted | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItemArray & | items
| ) |  |

virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ Resort()

virtual void wxDataViewModelNotifier::Resort | ( |  | ) |

pure virtual

Called by owning model.

## ◆ SetOwner()

void wxDataViewModelNotifier::SetOwner | ( | wxDataViewModel * | owner | ) |

Set owner of this notifier.

Used internally.

## ◆ ValueChanged()

virtual bool wxDataViewModelNotifier::ValueChanged | ( | const wxDataViewItem & | item,
|  | unsigned int | col
| ) |  |

pure virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.